package com.example.chat.dao;

import com.example.chat.entity.User;
import com.example.chat.dao.mybatis.MybatisSingleton;
import org.apache.ibatis.session.SqlSession;
import org.junit.Test;
import org.springframework.stereotype.Repository;


import java.io.IOException;

@Repository
public class Login implements UserMapper {

    @Override
    public void addUser(User user) throws IOException {
        SqlSession sqlSession = MybatisSingleton.getSqlSessionFactory().openSession();
        sqlSession.insert("dao.Login.addUser", user);
        sqlSession.commit();
        sqlSession.close();
    }

    @Override
    public void delUser(User user) {

    }

    @Override
    public void updateUser(User oldUser, User newUser) {

    }

    @Override
    public User getUser(User user) throws IOException {
        SqlSession sqlSession = MybatisSingleton.getSqlSessionFactory().openSession();
        User returnUser = sqlSession.selectOne("dao.Login.getUser", user);
        sqlSession.close();
        return returnUser;
    }

    @Override
    public User emailCheck(User user) throws IOException {
        SqlSession sqlSession = MybatisSingleton.getSqlSessionFactory().openSession();
        User returnUser = sqlSession.selectOne("dao.Login.emailCheck", user);
        sqlSession.close();
        return returnUser;
    }

    @Override
    public void modifyHead(String pic, String account) throws IOException {
        SqlSession sqlSession=MybatisSingleton.getSqlSessionFactory().openSession();
        sqlSession.update("dao.Login.updateHead",new User("","",account,pic,""));
        sqlSession.close();
    }

}
